package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ead;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface EadMapper {

    int insert(Ead record);

    int insertSelective(Ead record);

    int updateByPrimaryKeySelective(Ead record);

    int updateByPrimaryKey(Ead record);

    int deleteByPrimaryKey(Ead record);

    int deleteByIds(Collection<Object> collection);

    Ead selectByPrimaryKey(Ead record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ead> dyncRead(Map<String,Object> dyncMap);

    /**
     * 通过 eblinr  查询 ead 表
     * @param eblinr
     * @return
     */
    Ead selectByEblinr(@Param("eblinr") String eblinr);

    /**
     * 通过INR 查询数据
     * @param inr
     * @return
     */
    Ead selectByInr(@Param("inr")  String inr);

    /**
     * 通过外债编号更新状态
     * @param exdebtcode
     * @param sta
     * @return
     */
    int updateStaByRptno(@Param("exdebtcode") String exdebtcode,@Param("sta") String sta);

}